set -g mouse off
set -g set-titles on
set -g default-terminal "tmux-256color"
set -g terminal-overrides ",tmux-256color:Tc"
set -g renumber-windows on
setw -g aggressive-resize on
setw -g automatic-rename on

# binds
unbind-key S
set -g prefix C-a
bind a send-prefix
bind c new-window
bind d detach
bind ^C new-window
bind ^D detach
bind : command-prompt
bind " " next-window
bind | split-window -h
bind - split-window -v

# status line
set -g status "on"
set -g status-position top
set -g status-style "bg=default"
set -g message-style "fg=default,bg=default"
set -g message-command-style "fg=default,bg=default"
set -g status-left ""
set -g status-right "#[fg=color4] #h "
setw -g window-status-separator ""
setw -g window-status-format "#[fg=color242,bg=default] #W "
setw -g window-status-current-format "#[fg=color15,bg=color12] #W "
